;****************************************************************
;		   Hu6260 VCE Helpful Defines			*
;****************************************************************
; Copyright (C) 2014-2015 Osman Celimli
; For conditions of distribution and use, see copyright notice in HuListen.asm
;----------------------------------------------------------------
;	The VCE has a total of 32 palettes with 16 colors each,
; palettes 0-15 are used for the background layer while 16-31
; are used for sprites. Writing to the color registers during
; active scan will cause the VCE to redisplay the last pixel
; it generated.
;
; Each color of a palette is 16-Bits wide, organized as:
;	xxxxxxxG GGRRRBBB
;
; Two special case colors exist:
;	-Color 0 of palette 0 is the backdrop color
;	-Color 0 of palette 16 is the overscan color

;****************************************************************
;			 Register Map				*
;****************************************************************
.define VCE_CONT		$0400
; -/W
.define VCE_MONOCHROME		%10000000
.define VCE_SMOOTH		%00000100
.define VCE_10MHZ		%00000010
.define VCE_7MHZ		%00000001
.define VCE_5MHZ		%00000000
;	7: Chroma Enable (0=Color, 1=B/w)
;	2: Graphics Smoothing
;	1: Color Clock Freq (1=10MHz)
;	0: Color Clock Freq (0=5MHz, 1=7MHz)

.define VCE_CRAM_ADDRLO		$0402
.define VCE_CRAM_ADDRHI		$0403
; -/W
;	CRAM Address Select (0-511). This is automatically
;	incremented by one after every write to VCE_CRAM_DATAHI.

.define VCE_CRAM_DATALO		$0404
.define VCE_CRAM_DATAHI		$0405
; -R/W
;	Data are copied to the current destination address when
;	a write is performed to VCE_CRAM_DATAHI.
;	8-6: G
;	5-3: R
;	2-0: B
