;****************************************************************
;		   Video Pertinent Variables			*
;****************************************************************
; Copyright (C) 2014-2015 Osman Celimli
; For conditions of distribution and use, see copyright notice in HuListen.asm
;----------------------------------------------------------------
; These should live in the Base RAM, speed critical components
; are already in the ZeroPage.

.enum VIDLIB_MEM_BASE

; VCE Palette Transfer Ringbuffers
;----------------------------------
VCE_BGColor_Safe	ds 2
VCE_TxRing_Dest		ds 32
VCE_TxRing_ColCache	ds (32 * 16 * 2)

; VDC Backup Registers
;----------------------
VDCB_CR			ds 2
VDCB_RCR		ds 2
VDCB_BXR		ds 2
VDCB_BYR		ds 2
VDCB_MWR		ds 2

; VRAM Transfer Request Rings
;-----------------------------
VREQ_TxRing_Type	ds VREQ_RINGLEN

VREQ_TxRing_Source_Lo	ds VREQ_RINGLEN
VREQ_TxRing_Source_Hi	ds VREQ_RINGLEN
VREQ_TxRing_Source_Bank	ds VREQ_RINGLEN
VREQ_TxRing_Source_Map	ds VREQ_RINGLEN

VREQ_TxRing_Dest_Lo	ds VREQ_RINGLEN
VREQ_TxRing_Dest_Hi	ds VREQ_RINGLEN
VREQ_TxRing_Size_Lo	ds VREQ_RINGLEN
VREQ_TxRing_Size_Hi	ds VREQ_RINGLEN


; Segment End
;-------------
VIDLIB_MEM_END		ds 1
.ende
.printt "VDC/VCE : $"
.printv HEX VIDLIB_MEM_BASE
.printt " to $"
.printv HEX VIDLIB_MEM_END - 1
.printt ", "
.printv DEC VIDLIB_MEM_END - VIDLIB_MEM_BASE
.printt " bytes\n"
